Create credential
POST
Store an encrypted header credential in a workspace. The secret is write-only; the response never returns it. Requires CREDENTIAL_ENCRYPTION_KEY to be configured (503 otherwise).
Access: workspace_admin · API key credentials:write
api-keyheader
AuthorizationBearer <sk_waylo_<lookup><secret><checksum>>application/json- body
workspaceId*stringFormat
uuidname*stringLength
length <= 100headerName*stringMatch
^[\w!#$%&'*+.^`|~-]+$Length
length <= 100secret*stringLength
length <= 8192Created
application/json- response
id*stringworkspaceId*stringname*stringheaderName*stringactive*booleanusage*createdByUserId*|Format
uuidcreatedByUserName*string|nullupdatedByUserId*|Format
uuidupdatedByUserName*string|nullcreatedAt*stringFormat
date-timeupdatedAt*stringFormat
date-timecurl -X POST 'https://api.poc.app.waylovoice.ai/credentials' \ -H 'Authorization: Bearer sk_waylo_...' \ -H 'Content-Type: application/json' \ -d '{ "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c", "name": "string", "headerName": "string", "secret": "string"}'Example Response
{ "id": "string", "workspaceId": "string", "name": "string", "headerName": "string", "active": true, "usage": { "tools": 0, "destinations": 0 }, "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdByUserName": "string", "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e", "updatedByUserName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}